summaryrefslogtreecommitdiffstats
path: root/anaconda/splashtolss.sh
diff options
context:
space:
mode:
authorTom "spot" Callaway <tcallawa@redhat.com>2008-09-10 16:22:29 -0400
committerTom "spot" Callaway <tcallawa@redhat.com>2008-09-10 16:22:29 -0400
commit83a12685b658a325dccd60dabf7e2fda3cee1664 (patch)
tree4e2eaa890b0612e26546c128536d1597fd323138 /anaconda/splashtolss.sh
downloadfedora-logos-83a12685b658a325dccd60dabf7e2fda3cee1664.tar.gz
fedora-logos-83a12685b658a325dccd60dabf7e2fda3cee1664.tar.xz
fedora-logos-83a12685b658a325dccd60dabf7e2fda3cee1664.zip
initial git commit
Diffstat (limited to 'anaconda/splashtolss.sh')
-rwxr-xr-xanaconda/splashtolss.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/anaconda/splashtolss.sh b/anaconda/splashtolss.sh
new file mode 100755
index 0000000..c595a99
--- /dev/null
+++ b/anaconda/splashtolss.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+usage() {
+ echo "Usage: $0 <source> <output>"
+ exit 1
+}
+
+if [ -z "$1" -o -z "$2" ]; then
+ usage
+fi
+
+pngtopnm $1 | ppmtolss16 \#cdcfd5=7 \#ffffff=1 \#000000=0 \#c90000=15 > $2